﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Syncfusion.UI.Xaml.Grid.Helpers;

using Syncfusion.UI.Xaml.ScrollAxis;
// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace simple_sfGrid_winrt
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }  

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            int RowIndex = Convert.ToInt32(rowindex.Text);          
            //Scroll to particular row index
            this.syncgrid.ScrollInView(new RowColumnIndex(RowIndex, 0));
            //After scrolling, need to set corresponding row index as first visible index in view.
            this.syncgrid.GetVisualContainer().ScrollRows.ScrollLineIndex = RowIndex;          
        }
    }
}
