﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace simple_sfGrid_winrt
{
  public  class employee :INotifyPropertyChanged
    {
        private int id;
        public int EmployeeID
        {
            get
            {
                return id;
            }
            set
            {
                id = value;
                OnPropertyChanged("EmployeeID");
            }
        }

        private string name;
        public string EmployeeName
        {
            get
            {
                return name;
            }
            set
            {
                name = value;
                OnPropertyChanged("EmployeeName");
            }
        }
        private string Dept;
        public string Department
        {
            get
            {
                return Dept;
            }
            set
            {
                Dept = value;
                OnPropertyChanged("Department");
            }
        }
       
        public employee()
        {
        }
        public employee(string name, string deptname, int id)
        {
            EmployeeName = name;
            Department = deptname;
            EmployeeID = id;
        }


        private void OnPropertyChanged(string employ)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(employ));
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;
    }
}
